## modest 0.0~git20210803.2540a03+ds

=== examples/Makefile ===
TARGET := examples
SRCDIR := .

CC ?= gcc

# ARGS
#
# BINARY_OPTIMIZATION_LEVEL, default -O2
# MODEST_BUILD_WITHOUT_THREADS, YES or (NO or undefined), default undefined
#

.DEFAULT_GOAL := all

#********************
# other Makefile
#***************
BINARY_PATH_RELATIVE := ..
MODEST_SOURCE := $(BINARY_PATH_RELATIVE)/source
include $(BINARY_PATH_RELATIVE)/Makefile.bin.cfg

BINARY_TO_DIR := $(BINARY_PATH_RELATIVE)/$(BINARY_DIR_BASE)

#********************
# Build
#***************
BINARY_BUILD_MODULES ?= $(dir $(wildcard $(SRCDIR)/*/))
BINARY_BUILD_MODULES_LIST := $(strip $(foreach dir,$(BINARY_BUILD_MODULES),$(word 2, $(subst $(MODEST_DIR_SEPARATOR), , $(dir))) ))
BINARY_BUILD_MODULES_MAKEFILES_LIST := $(foreach dir,$(BINARY_BUILD_MODULES_LIST),$(dir)/Makefile.mk)

#********************
# Targets
#***************
BINARY_BUILD_MODULES_TARGET       := $(BINARY_BUILD_MODULES_LIST)
BINARY_BUILD_MODULES_TARGET_ALL   := $(foreach dir,$(BINARY_BUILD_MODULES_TARGET),$(dir)_all)
BINARY_BUILD_MODULES_TARGET_CLEAN := $(foreach dir,$(BINARY_BUILD_MODULES_TARGET),$(dir)_clean)

#********************
# Utils
#***************
define BYNARY_UTILS_NEW_LINE


endef
BINARY_UTILS_OBJS = $(patsubst %.c,%,$(foreach dir,$2,$(wildcard $(SRCDIR)/$1/$(dir)/*.c)))
BINARY_UTILS_CREATE_DIRS = $(foreach dir,$(BINARY_BUILD_MODULES_LIST),mkdir -p $(BINARY_TO_DIR)/$(dir) $(BYNARY_UTILS_NEW_LINE))

#********************
# Include all modules Makefile.mk
#***************
include $(BINARY_BUILD_MODULES_MAKEFILES_LIST)

#********************
# Set ARGS for flags
#***************
override CFLAGS  += $(BINARY_CFLAGS)
override LDFLAGS += $(BINARY_LDFLAGS)
override LDLIBS  += $(BINARY_LIBRARIES)

#********************
# Objects
#***************
BINARY_BUILD_EXECUTE ?= $(foreach dir,$(BINARY_BUILD_MODULES_TARGET),$($(dir)_objs))
BINARY_BUILD_EXECUTE_CLEAN := $(foreach path,$(BINARY_BUILD_EXECUTE),$(subst ./,,$(path)))
BINARY_BUILD_EXECUTE_TO_CLEAN := $(foreach path,$(BINARY_BUILD_EXECUTE_CLEAN),rm -rf $(BINARY_TO_DIR)/$(path) $(BYNARY_UTILS_NEW_LINE))
BINARY_BUILD_DIRS_TO_CLEAN := $(foreach path,$(BINARY_BUILD_MODULES_LIST),rm -rf $(BINARY_TO_DIR)/$(path) $(BYNARY_UTILS_NEW_LINE))
BINARY_BUILD_EXECUTE_COPY := $(foreach path,$(BINARY_BUILD_EXECUTE_CLEAN),cp $(path) $(BINARY_TO_DIR)/$(dir $(path)) $(BYNARY_UTILS_NEW_LINE))
BINARY_BUILD_EXECUTE_COPY_ALL := $(BINARY_UTILS_CREATE_DIRS) $(BINARY_BUILD_EXECUTE_COPY)

#********************
# Target options
#***************
all: build
	$(BINARY_BUILD_EXECUTE_COPY_ALL)

build: $(BINARY_BUILD_EXECUTE_CLEAN)

clean: $(BINARY_BUILD_MODULES_TARGET_CLEAN)
	$(BINARY_BUILD_EXECUTE_TO_CLEAN)
	$(BINARY_BUILD_DIRS_TO_CLEAN)

copy:
	$(BINARY_BUILD_EXECUTE_COPY_ALL)

.PHONY: all copy clean $(BINARY_BUILD_MODULES_TARGET_ALL)

=== debian/changelog ===
modest (0.0~git20210803.2540a03+ds-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jun 2022 16:35:21 -0400

modest (0.0~git20210803.2540a03+ds-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 22:52:57 -0400

=== debian/control ===
Source: modest
Section: libs
Maintainer: Boyuan Yang <byang@debian.org>
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/lexborisov/Modest
Vcs-Git: https://salsa.debian.org/debian/modest.git
Vcs-Browser: https://salsa.debian.org/debian/modest

Package: libmodest-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libmodest0 (= ${binary:Version}),
Description: pure C HTML renderer (development files)
 Modest is a fast HTML renderer implemented as a pure C99 library
 with no outside dependencies.
 .
 This package provides the development files.

Package: libmodest0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: pure C HTML renderer (library)
 Modest is a fast HTML renderer implemented as a pure C99 library
 with no outside dependencies.
 .
 This package provides shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  =
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wno-error

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/lexborisov/Modest \
 HEAD

## modest 0.1

=== DESCRIPTION ===
Package: modest
Title: Model-Based Dose Escalation Shiny Tools
Version: 0.1
Date: 2017-06-26
Authors@R: c(person("Philip", "Pallmann", role=c("aut", "cre"), email="p.pallmann@lancaster.ac.uk"), person("Fang", "Wan", role="aut"))
Description: User-friendly Shiny apps for designing and evaluating phase I cancer clinical trials, with the aim to estimate the maximum tolerated dose (MTD) of a novel drug, using a Bayesian logistic regression method.
License: GPL-2
Imports: knitr, shiny, shinyBS
BugReports: https://github.com/PhilipPallmann/modest/issues/
NeedsCompilation: no
Packaged: 2017-06-27 15:24:01 UTC; pallmann
Author: Philip Pallmann [aut, cre],
  Fang Wan [aut]
Maintainer: Philip Pallmann <p.pallmann@lancaster.ac.uk>
Repository: CRAN
Date/Publication: 2017-06-28 06:02:50 UTC

## modest 0.3-1

=== DESCRIPTION ===
Package: modest
Title: Model-Based Dose-Escalation Trials
Version: 0.3-1
Date: 2017-11-03
Authors@R: c(person("Philip", "Pallmann", role=c("aut", "cre"), email="pallmannp@cardiff.ac.uk"), person("Fang", "Wan", role="aut"))
Description: User-friendly Shiny apps for designing and evaluating phase I cancer clinical trials, with the aim to estimate the maximum tolerated dose (MTD) of a novel drug, using a Bayesian decision procedure based on logistic regression.
License: GPL-2
Imports: knitr, rhandsontable, shiny, shinyBS
VignetteBuilder: knitr
BugReports: https://github.com/PhilipPallmann/modest/issues/
NeedsCompilation: no
Packaged: 2017-11-16 17:55:51 UTC; mcbpp
Author: Philip Pallmann [aut, cre],
  Fang Wan [aut]
Maintainer: Philip Pallmann <pallmannp@cardiff.ac.uk>
Repository: CRAN
Date/Publication: 2017-11-16 22:24:10 UTC

## modest 1.0-2008.43-1

=== debian/changelog ===
modest (1.0-2008.43-1) hardy; urgency=low

  * Fixes: NB#89670, NB#88553, NB#89910, NB#87102, NB#89027

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Tue, 21 Oct 2008 11:28:53 +0300

modest (1.0-2008.42-1) hardy; urgency=low

  * Fixes: NB#85528, NB#85654, NB#85852, NB#86208, NB#86800, NB#85757

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 13 Oct 2008 15:27:31 +0300

modest (1.0-2008.41-1) hardy; urgency=low

  * Fixes: NB#84845, NB#86564, NB#86719, NB#86471, NB#87102, NB#86408
  * Fixes: NB#86810, NB#86828

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Tue, 07 Oct 2008 12:07:53 +0300

modest (1.0-2008.40-1) hardy; urgency=low

  * Fixes: NB#85194, NB#87844, NB#88016, NB#88648, NB#86905

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Tue, 30 Sep 2008 13:52:31 +0300

modest (1.0-2008.39-1) hardy; urgency=low

  * Fixes: NB#86743, NB#88031, NB#88246

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Wed, 24 Sep 2008 18:17:42 +0300

modest (1.0-2008.38-1) hardy; urgency=low

  * Fixes: NB#86831

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Fri, 12 Sep 2008 13:42:58 +0300

modest (1.0-2008.37-1) hardy; urgency=low

  * Fixes: NB#86996, NB#85924, NB#87412

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 08 Sep 2008 10:44:31 +0300

modest (1.0-2008.35-1) hardy; urgency=low

  * Fixes: NB#86199, NB#86112, NB#86137, NB#86176, NB#86637, NB#87257

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Wed, 27 Aug 2008 10:37:21 +0300

modest (1.0-2008.34-1) hardy; urgency=low

  * Fixes: NB#86213, NB#87351, NB#87350, NB#87456,

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Tue, 19 Aug 2008 18:47:29 +0300

modest (1.0-2008.33-2) hardy; urgency=low

  * intermediate build with single bug fix.
  * Fixes: NB#86984

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Thu, 14 Aug 2008 15:16:29 +0300

modest (1.0-2008.31-1) hardy; urgency=low

  * Fixes: NB#86820, NB#87089, NB#86557, NB#86822, NB#87006, NB#87073
  * Fixes: NB#85818, NB#87128, NB#86225, NB#86773

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Tue, 29 Jul 2008 12:37:58 +0300

modest (1.0-2008.30-1) hardy; urgency=low

  * Fixes: NB#86756, NB#85859, NB#86753, NB#86798, NB#86171, NB#86562
  * Fixes: NB#86476, NB#86415, NB#86266

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Tue, 22 Jul 2008 11:12:50 +0300

modest (1.0-2008.27-1) hardy; urgency=low

  * Fixes: NB#86655, NB#86587, NB#83343, NB#86328, NB#86376, NB#86286

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Wed, 02 Jul 2008 10:37:11 +0300

modest (1.0-2008.26-1) hardy; urgency=low

  * Fixes: NB#83920, NB#86372, NB#86116, NB#84538, NB#84757, NB#85343
  * Fixes: NB#85344, NB#85034, NB#83892, NB#84808, NB#84791, NB#82137
  * Fixes: NB#83135, NB#85622, NB#86097, NB#86176, NB#85201, NB#84348
  * Fixes: NB#81798, NB#85873, NB#85743, NB#84605, NB#81429

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 23 Jun 2008 11:01:57 +0300

modest (1.0-2008.25-1) hardy; urgency=low

  * NB#85201, NB#81798, NB#83920, NB#84538, NB#84757, NB#84808
  * NB#86372, NB#86097, NB#86116, NB#86176, NB#85622, NB#81429
  * NB#82137, NB#83135, NB#83892, NB#85343, NB#84348, NB#84791
  * NB#85034, NB#85344, NB#85873, NB#85931
  * Removed the fixes keyword, since the bugs will be part of the week 26 build.

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 16 Jun 2008 11:29:27 +0300

modest (1.0-2008.24-1) hardy; urgency=low

  * NB#86097, NB#85201, NB#81429, NB#81798, NB#83135, NB#83892
  * NB#83920, NB#85343, NB#84348, NB#84538, NB#84757, NB#84791
  * NB#84808, NB#85034, NB#85344, NB#82137, NB#86176, NB#86116
  * Added the above fixes to week 25 release.

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 16 Jun 2008 11:31:45 +0300

modest (1.0-2008.23-2) hardy; urgency=low

  * Fixes: NB#85621, NB#86079, NB#85060, NB#86186

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Wed, 05 Jun 2008 10:55:51 +0300

modest (1.0-2008.23-1) hardy; urgency=low

  * Fixes: NB#85880, NB#84336, NB#85924, NB#85964, NB#86180

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Wed, 04 Jun 2008 10:53:50 +0300

modest (1.0-2008.22-1) hardy; urgency=low

  * Fixes: NB#85642, NB#85459, NB#84974, NB#85656, NB#85461, NB#85378
  * Fixes: NB#85743, NB#85574, NB#85502, NB#85396, NB#84952, 

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 26 May 2008 18:19:31 +0300

modest (1.0-2008.21-1) hardy; urgency=low

  * Fixes: NB#85378, NB#85399, NB#85397, NB#85158, NB#85439, NB#85443
  * Fixes: NB#85493, NB#85131, NB#85527, NB#85428, NB#85455, NB#85299
  * Fixes: NB#83128

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 19 May 2008 10:35:49 +0300

modest (1.0-2008.20-1) hardy; urgency=low

  * Fixes: NB#84005, NB#84821, NB#84823, NB#84832, NB#85028, NB#85030
  * Fixes: NB#85055, NB#79005, NB#81913, NB#84054, NB#84260, NB#84604
  * Fixes: NB#84714, NB#84731, NB#85062, NB#85108, NB#84764
  * Fixes: NB#84922, NB#83343, NB#84828, NB#85031, NB#84551

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 12 May 2008 19:09:20 +0300

modest (1.0-2008.19-1) hardy; urgency=low

  * NB#84764, NB#84922, NB#84551, NB#84828, NB#83343

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Mon, 07 May 2008 11:41:31 +0300

modest (1.0-2008.18-1) feisty; urgency=low

  * NB#84852

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Fri, 25 Apr 2008 15:56:24 +0300

modest (1.0-2008.17-2) feisty; urgency=low

  * Fixes: NB#83555, NB#83999, NB#83317, NB#83671, NB#84097, NB#84211
  * Fixes: NB#81095, NB#84315, NB#84117, NB#80656, NB#83929, NB#82173
  * Fixes: NB#84182, NB#83343, NB#83601, NB#84327, NB#84492, NB#84406
  * Fixes: NB#81375, NB#81947, NB#83944, NB#83721, NB#84313, NB#84535
  * Fixes: NB#83303

 -- Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com>  Tue, 22 Apr 2008 12:02:58 +0300

modest (1.0-2008.17-1) feisty; urgency=low

	NB#83555, NB#83999, NB#83317, NB#83671, NB#84097, NB#84211


=== debian/control ===
Source: modest
Section: mail
Priority: optional
Maintainer: Dirk-Jan C. Binnema <dirk-jan.binnema@nokia.com> 
Build-Depends: debhelper (>= 4.0.0), cdbs, gnome-common, gtkhtml-dev, libconic0-dev, libhildon1-dev, libdbus-1-dev, libdbus-glib-1-dev, libebook-dev, osso-af-settings, libedataserver-dev, libhildonnotify-dev, libgconf2-dev, libglib2.0-dev, libosso-gnomevfs2-dev, libhildonmime-dev,libtinymail-1.0-0-dev, libtinymail-camel-1.0-0-dev, libtinymail-maemo-1.0-0-dev,libtinymailui-1.0-0-dev,libtinymail-gnomevfs-1.0-0-dev,libtinymailui-gtk-1.0-0-dev,wpeditor0,wpeditor-dev,libhildonhelp-dev, libalarm-dev, gtk-doc-tools, libhildonnotify-dev, libnotify-dev, microb-engine-dev, mce-dev, maemo-launcher-dev
Standards-Version: 3.6.0

Package: modest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, osso-icons-theme
Description: an e-mail client for platforms with modest resources
 e-mail client for osso

Package: modest-dbg
Section: devel
Architecture: any
Depends: modest (=${Source-Version})
Description: debug package for modest
 Contains the debug symbols for modest app

Package: libmodest-dbus-client
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Description: library wrapping modest's dbus interface
 This packages provides the library wrapping for modest's
 dbus interface

Package: libmodest-dbus-client-dev
Section: devel
Architecture: any
Depends: libmodest-dbus-client
Description: library wrapping modest's dbus interface (dev package)
 Development packages for libmodest-dbus-client

Package: libmodest-dbus-client-dbg
Section: devel
Architecture: any
Depends: libmodest-dbus-client (=${Source-Version})
Description: debug package for modest dbus client
 This package contains the debug symbols for modest dbus client

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
PACKAGENAME = modest

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -mthumb
endif

ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
	conf_opt = --enable-maemo-launcher
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	conf_opt += --enable-debug
endif

config.status: configure
	dh_testdir
	# commands to configure the package.
	if [ ! -x configure ]; then ./autogen.sh; fi
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info $(conf_opt)

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh
	touch configure-stamp

build: build-stamp

build-stamp:  config.status
	dh_testdir

        # commands to compile the package.
	$(MAKE)
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

# commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# install the package into debian/tmp/
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# ACHTUNG: hack
# we remove the modest.mo english localization, if the current control file contains a reference
# to modest-l10n-mr0; thus, the modest package will not conflict with that one.
# if modest-l10n-mr0 is not there, we'll install our own (en_GB) .mo file.
	if grep -q modest-l10n-mr0 $(CURDIR)/debian/control ; then rm $(CURDIR)/debian/tmp/usr/share/locale/en_GB/LC_MESSAGES/modest.mo ; else echo "modest.mo not removed."; fi


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --keep-debug --dbg-package=modest --dbg-package=libmodest-dbus-client
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	# Not a requirement by now, so don't fail if it's not installed
	which dh_maemolauncher && dh_maemolauncher usr/bin/modest || true
	dh_gencontrol
	sh debian/scripts/renew_control_file.sh
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## modest 3.0.17-rc58+0m5

=== debian/changelog ===
modest (3.0.17-rc58+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Fri, 18 Sep 2009 16:06:17 +0300

modest (3.0.17-rc58) unstable; urgency=low

  * Week 38, 2009 - sixth release
  * 
  * Fixes: NB#133759 It should be possible to send message without subject - Send 
  *     button should not be dimmed
  * Fixes: NB#133776 Several contacts added in To field: the last contact and 
  *     also space before it is uncessary highlighted
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 17 Sep 2009 14:49:20 +0300

modest (3.0.17-rc57) unstable; urgency=low

  * 
  * Fixes: NB#135463 Modest crash once when an Email account is finished while BT
  * 	 headset connected during ongoing call
  * Fixes: NB#139035 Forward button needed in email view (and remove Forward button 
  * 	from view menu) 
  *

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 17 Sep 2009 10:00:37 +0300

modest (3.0.17-rc56) unstable; urgency=low

  * Week 38, 2009 - fifth release
  * 
  * Fixes: NB#130325  New message view UI is not harmonized
  * Fixes: NB#131601  Toolbar is lost after cancelling lose formatting confirmation note warning shown 
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 16 Sep 2009 10:01:02 +0300

modest (3.0.17-rc55) unstable; urgency=low

  * Week 38, 2009 - fourth release
  *
  * Fixes: NB#137949 Inconsistent behavior in issuing sound and mail notifications whe
  * 	 Email is running
  * Fixes: NB#138110 Reboot needed: Manual send&receive and autoupdate doesn't work 
  * Fixes: NB#138247 Number of new messages not updated properly

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 15 Sep 2009 00:07:10 +0300

modest (3.0.17-rc54) unstable; urgency=low

  * Week 38, 2009 - second release
  * 
  * Fixes a regression caused with NB#137187
  * Fixes: NB#137187 "Invalid email address" info banner is displayed while replying to a message.
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 14 Sep 2009 15:10:18 +0300

modest (3.0.17-rc53) unstable; urgency=low

  * Week 38, 2009 - first release
  * 
  * Fixes: NB#136358 E-mail retrieval does not work according to the settings
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Sun, 13 Sep 2009 22:54:13 +0300

modest (3.0.17-rc52) unstable; urgency=low

  * Week 37, 2009 - release
  * 
  * Fixes: NB#131601 Tool bar is lost after cancelling lose formatting confirmation note warning shown
  * Fixes: NB#136052 E-Mail locks with specific E-mail format (Pauldirekt newsletter)
  * Fixes: NB#137187 "Invalid email address" info banner is displayed while replying to a message.
  * Fixes: NB#137624 modest is crashing while trying to create a new folder under remote 
  * 	folder in offline mode
  * Fixes: NB#138261 Accounts settings dialog should be shown when account is configured 
  * 	using incorrect username and password.
  * Fixes: NB#138269 Hotmail setup: username shold be prefilled with @hotmail.com 

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 11 Sep 2009 12:03:09 +0300

modest (3.0.17-rc51) unstable; urgency=low

  * Week 37, 2009 - fifth release
  * 
  * Fixes: NB#126904  Crash in "camel_message_info_free"/ "tny_folder_change_finalize"
  * Fixes: NB#131351  Modest crash in ssl_Read () from /usr/lib/microb-engine/libssl3.so
  * Fixes: NB#135345  When sending mails to existing constacts, new entries with just the 
  * 	mail address are created 

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 09 Sep 2009 11:05:23 +0300

modest (3.0.17-rc50) unstable; urgency=low

  * Week 37, 2009 - fourth release
  * 
  * Fixes: NB#134827 Email always hangs when trying to reply/reply-to-all for a specific 
  * 	email chain in Mail for exchange

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 08 Sep 2009 10:25:15 +0300

modest (3.0.17-rc49) unstable; urgency=low

  * Week 37, 2009 - third release
  * 
  * Fixes: NB#132706 Reply to All: user's own email address appears in To field
  * Fixes: NB#135191 Checking names in editor: if small letter is used then 
  * 	Contacts starting from this letter are not shown 

 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 07 Sep 2009 11:35:56 +0300

modest (3.0.17-rc48) unstable; urgency=low

  * Week 37, 2009 - second release
  * 
  * Fixes: NB#120278 Modest: 'Inbox' UI is not updated when change read/unread status from Web interface
  * Fixes: NB#125495 Gmail/IMAP suffering from connection problems while running background updates.
  * Fixes: NB#133627 Keyboard UP/Down arrow keys are not working in Mail Editor/Index
  * Fixes: NB#134645 Randomly Ovi account settings dialog is shown when Email is not running
  * Fixes: NB#134905 ASCII mails dont wrap around in UI 

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 04 Sep 2009 11:15:00 +0300

modest (3.0.17-rc47) unstable; urgency=low

  * Week 37, 2009 - first release
  *
  * Fixes: NB#132625 - modest and libosso-abook have a cyclic dependency
  * Fixes: NB#129121 - Corematic: Crash in "IA__gtk_tree_row_reference_copy ()"
  *

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 03 Sep 2009 11:41:50 +0300

modest (3.0.17-rc46) unstable; urgency=low

  * Week 36, 2009 - fifth release
  *
  * Fixes: NB#133938 API for handling 'Save attachment' should be provided to modest plugins
  * Fixes: NB#134642 Random crash in "on_header_view_model_destroyed"
  *

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 02 Sep 2009 12:44:15 +0300

modest (3.0.17-rc45) unstable; urgency=low

  * Week 36, 2009 - fourth release
  * 
  * Fixes NB#134700 Email application active, no sound after send & receive or timed retrieval 
  *

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 01 Sep 2009 10:43:13 +0300

modest (3.0.17-rc44) unstable; urgency=low

  * Week 36, 2009 - third release
  *
  * Fixes: NB#131351 Modest crash in ssl_Read () from /usr/lib/microb-engine/libssl3.so


=== debian/control ===
Source: modest
Section: mail
Priority: optional
Maintainer: Moises Martinez <moises.martinez@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs, libmodest-dbus-client-dev, gnome-common, gtkhtml3.14-dev, libconic0-dev, libhildon1-dev, libdbus-1-dev,
 libdbus-glib-1-dev, libebook-dev, osso-af-settings, libedataserver-dev, libhildonnotify-dev, libgconf2-dev,
 libglib2.0-dev, libosso-abook-dev, libosso-gnomevfs2-dev, libhildonmime-dev, libprofile-dev, libtime-dev, libtinymail-1.0-0-dev, libtinymail-camel-1.0-0-dev,
 libtinymail-maemo-1.0-0-dev, libtinymailui-1.0-0-dev, libtinymail-gnomevfs-1.0-0-dev, libtinymailui-gtk-1.0-0-dev, wpeditor0,
 wpeditor-dev, modest-providers-data, libalarm-dev, gtk-doc-tools, libnotify-dev, libhildonfm2-dev,
 microb-engine-dev, mce-dev, maemo-launcher-dev, profile-data-dev
Standards-Version: 3.8.0

Package: modest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, libmodest-dbus-client, modest-providers-data, modest-l10n-mr | modest-l10n-mr0,
 osso-icons-theme, operator-wizard-settings, osso-countries-l10n-mr | osso-countries-l10n-mr0, microb-engine
Description: an e-mail client for platforms with modest resources
 e-mail client for osso

Package: modest-plugin-dev
Architecture: any
Depends: modest
Description: Plugin development packages for modest mail client.
 Plugin development packages for modest, the e-mail client for osso.

Package: modest-dbg
Section: devel
Architecture: any
Depends: modest (=${Source-Version})
Description: debug package for modest
 Contains the debug symbols for modest app

## modest 3.0.17-rc66+0m5

=== debian/changelog ===
modest (3.0.17-rc66+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Tue, 06 Oct 2009 15:11:29 +0300

modest (3.0.17-rc66) unstable; urgency=low

  * Week 41, 2009 third release
  * 
  * Fixes: NB#141003 Deleting "To:" address in email hangs application
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 06 Oct 2009 14:44:18 +0300

modest (3.0.17-rc65) unstable; urgency=low

  * Week 41, 2009 build
  * 
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 05 Oct 2009 11:51:45 +0300

modest (3.0.17-rc64) unstable; urgency=low

  * Week 41, first release
  * 
  * Fixes: NB#139449 Email does not use IPHB for connection synchronization
  * Fixes: NB#141493 Accounts settings incorrectly shown when sending messages
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 02 Oct 2009 18:38:47 +0300

modest (3.0.17-rc63) unstable; urgency=low

  * Week 40, 2009 - first release 
  * Implements IPHB functionality in modest. With this  modest does:
  *
  *   On receiving the send receive dbus event, it begins waiting for heartbeat.
  *   Once it gets heartbeat, it starts the mail operation for send receive.
  *   Then, if modest happens to be closed between the dbus event and the 
  *     heartbeat, then the send receive operation won't be played that time. 
  *
  * Fixes: NB#137711 Receive Large emails:SINGLE:3G
  * Fixes: NB#139449 Email does not use IPHB for connection synchronization
  *
  
 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 28 Sep 2009 13:00:37 +0300

modest (3.0.17-rc61) unstable; urgency=low

  * Week 39, 2009 - third release
  * 
  * Fixes: NB#125495 Gmail/IMAP suffering from connection problems while running
  * 	 background updates.
  * Fixes: NB#139449 Email does not use IPHB for connection synchronization 
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 23 Sep 2009 12:07:28 +0300

modest (3.0.17-rc60) unstable; urgency=low

  * Week 39, 2009 - second release
  * 
  * Fixes: NB#114184  missing 'auto' update interval for IMAP
  * Fixes: NB#136358  E-mail retrieval does not work according to the settings 
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 21 Sep 2009 10:46:48 +0300

modest (3.0.17-rc59) unstable; urgency=low

  * Week 39, 2009 - first release
  * 
  * Fixes: NB#133759 It should be possible to send message without subject
  * 	 - Send button should not be dimmed
  *

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 18 Sep 2009 09:40:47 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libglib2.0-dev, libosso-abook-dev, libosso-gnomevfs2-dev, libhildonmime-dev, libprofile-dev, libtime-dev, libtinymail-1.0-0-dev, libtinymail-camel-1.0-0-dev,
  libtinymail-maemo-1.0-0-dev, libtinymailui-1.0-0-dev, libtinymail-gnomevfs-1.0-0-dev, libtinymailui-gtk-1.0-0-dev, wpeditor0,
  wpeditor-dev, modest-providers-data, libalarm-dev, gtk-doc-tools, libnotify-dev, libhildonfm2-dev,
- microb-engine-dev, mce-dev, maemo-launcher-dev, profile-data-dev
+ microb-engine-dev, mce-dev, maemo-launcher-dev, profile-data-dev, libiphb-dev
 Standards-Version: 3.8.0
 
 Package: modest

## modest 3.1.18+0m5

=== debian/changelog ===
modest (3.1.18+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Fri, 11 Dec 2009 15:05:22 +0200

modest (3.1.18) unstable; urgency=low

  * Week 50, 2009 release
  * Fixes: NB#150022 Email reply has empty "TO" field when "FROM" contained Russian letters
  *  Fixes corner cases of the bug with few mail addresses
  *

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 11 Dec 2009 11:49:46 +0200

modest (3.1.17) unstable; urgency=low

  * Week 50, 2009
  * 
  * Fixes: NB#150022 Email reply has empty "TO" field when "FROM" contained Russian letters

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 10 Dec 2009 14:15:49 +0200

modest (3.1.16) unstable; urgency=low

  * Week 47, 2009 release
  * 
  * Fixes: NB#140449 'no subject' and nothing is showing in viewer view tapped 
  * 	from new mail notification for the rules created mails

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 19 Nov 2009 10:17:16 +0200

modest (3.1.15) unstable; urgency=low

  * Week 47, 2009 release
  * 
  * Fixes: NB#140449 'no subject' and nothing is showing in viewer view tapped from 
  * 	new mail notification for the rules created mails
  * Fixes: NB#146429 Send-Receive button move to top part of the menu to avoid its moving 

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 17 Nov 2009 01:01:13 +0200

modest (3.1.14) unstable; urgency=low

  * Week 46 release
  * 
  * Fixes: NB#137323 Randomly "Invalid username or password" and Account settings 
  * 	are shown for mail accounts when Email is not running

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 12 Nov 2009 15:26:13 +0200

modest (3.1.13) unstable; urgency=low

  * Week 46, 2009
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 10 Nov 2009 17:49:11 +0200

modest (3.1.12) unstable; urgency=low

  * Week 46, 2009 - second release
  * 
  * Fixes: NB#103963 Email application is slow with large mailboxes
  * Fixes: NB#139032 Message details window changes
  * Fixes: NB#140731 MfE distorts original message formatting when replying 

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 06 Nov 2009 20:44:25 +0200

modest (3.1.11) unstable; urgency=low

  * Week 46, 2009 - first release
  * 
  * Fixes: NB#139032 Message details window changes
  * Fixes: NB#139790 Fix some compilation warnings in GNOME version
  * Fixes: NB#141120 Remove Hildon 0.x conditional code
  * Fixes: NB#141490 Remove Hildon 1.x conditional code in Hildon2 version of modest
  * Fixes: NB#141651 Remove unused modest-osso-autosave-callbacks.[c/h] files
  * Fixes: NB#145249 Modest crashes always when replying in MfE
  * Fixes: NB#145254 Modest crashes when changing color in editor 

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 05 Nov 2009 10:04:58 +0200

modest (3.1.9) unstable; urgency=low

  * Week 45, 2009 first release
  * 
  * Fixes: NB#140509 Perform a sync of the currently viewed folder when a send&receive (manual or automatic) is activated
  * Fixes: NB#140731 MfE distorts original message formatting when replying 
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 03 Nov 2009 18:00:19 +0200

modest (3.1.8) unstable; urgency=low

  * Week 44, 2009 - fourth release
  * 
  * Fixes: NB#139032 Message details window changes
  * Fixes: NB#140509 Perform a sync of the currently viewed folder when a send&receive
  * 	 (manual or automatic) is activated 

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 28 Oct 2009 21:59:39 +0200

modest (3.1.7) unstable; urgency=low

  * Week 44, 2009 - third release
  * 
  * Fixes: NB#132740 Valgrind run shows leaks in tinymail in CamelException's
  * Fixes: NB#133900 CTA: MEA regions are not available in Email setup list

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 27 Oct 2009 11:21:54 +0200

modest (3.1.6) unstable; urgency=low

  * Week 44, 2009 - first release
  * 
  * Fixes: NB#133900 CTA: MEA regions are not available in Email setup list
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 22 Oct 2009 09:48:53 +0300

modest (3.1.5) unstable; urgency=low

  * Week 43, 2009 - second release
  * 
  * Fixes: NB#133828 "Copy link location" option is missing in CSM for received link in mail
  * Fixes: NB#139404 Open attachment: Fixes in modest are needed to resolve bug #126595
  * Fixes: NB#139752 Fix modest compilation warning
  * Fixes: NB#140687 Remove HildonDialog deprecated symbol
  * Fixes: NB#143352 Add dbus API to modest to allow requesting immediate send/receive 

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 20 Oct 2009 11:18:45 +0300

modest (3.1.4) unstable; urgency=low

  * Week 43, 2009 first release
  * 
  * Fixes: NB#112533 Long attachment's name is not truncated in the Select attachment dialog
  * Fixes: NB#132979 Locales in Gnome version of Modest not working correctly
  * Fixes: NB#134253 Advanced Settings: Save button is active if Incoming port value is removed
  * Fixes: NB#137463 "File error" is shown and unable to view the image file from sent message 
  * 	if the file has some special symbols
  * Fixes: NB#139196 csm menus are showing in blank view also
  * Fixes: NB#139513 Modest crash in "camel_object_cast ()"
  * Fixes: NB#140483 random modest crash occurred "on_account_connect_done"
  * Fixes: NB#141119 Import conic support only if It's available 
  *

 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 19 Oct 2009 11:57:25 +0300

modest (3.1.3) unstable; urgency=low

  * Week 42, 2009 third release
  * 
  * Fixes: NB#132740   Valgrind run shows leaks in tinymail  
  * Fixes: NB#139032  Message details window changes  
  * Fixes: NB#139637  <coverity> defects from modest  
  * Fixes: NB#142325  UI is not refreshing after creating New folder under Gmail IMAP  

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 15 Oct 2009 00:29:39 +0300

modest (3.1.2) unstable; urgency=low

  * Week 42, 2009 second release
  * 


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libglib2.0-dev, libosso-abook-dev, libosso-gnomevfs2-dev, libhildonmime-dev, libprofile-dev, libtime-dev, libtinymail-1.0-0-dev, libtinymail-camel-1.0-0-dev,
  libtinymail-maemo-1.0-0-dev, libtinymailui-1.0-0-dev, libtinymail-gnomevfs-1.0-0-dev, libtinymailui-gtk-1.0-0-dev, wpeditor0,
  wpeditor-dev, modest-providers-data, libalarm-dev, gtk-doc-tools, libnotify-dev, libhildonfm2-dev,
- microb-engine-dev, mce-dev, maemo-launcher-dev, profile-data-dev, libiphb-dev
+ microb-engine-dev, mce-dev, maemo-launcher-dev, profile-data-dev, libiphb-dev, calendar-ui-widgets-0-dev
 Standards-Version: 3.8.0
 
 Package: modest

## modest 3.2.13-3+0m5

=== debian/changelog ===
modest (3.2.13-3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Tue, 23 Feb 2010 15:26:39 +0200

modest (3.2.13-3) unstable; urgency=low

  * Week 08, 2010 - first release candidate
  * 
  * Fixes: NB#157399 Modest crashes when tapped on NMS accounts mailbox.
  * 
  * Changes -
  * Background of calendar meetings should be grey.

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 19 Feb 2010 14:40:18 +0200

modest (3.2.13-2) unstable; urgency=low

  * Week 07, 2010 - second release candidate
  * 
  * Fixes: NB#157399 Modest crashes when tapped on NMS accounts mailbox.
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 18 Feb 2010 12:02:48 +0200

modest (3.2.13-1) unstable; urgency=low

  * Week 07, 2010 - first release candidate 
  * 
  * Fixes: NB#155972 Email hangs always when deleting the searched text in the headers view
  * Fixes: NB#156451 The toolbar in email editor view should not be shown by default 
  * Fixes: NB#156453 Missing icon in the editor view 
  * Fixes: NB#156612 Change the posistion of "Show toolbar" view menu item (and at the same time 
  * 	clean up view menus of editor and viewer view menus)
  * Fixes: NB#156752 New message button is not shown in the Accounts view on the 
  * 	freshly flashed device 

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 17 Feb 2010 10:32:17 +0200

modest (3.2.12-6) unstable; urgency=low

  * Week 06, 2010 - fifth release candidate
  * 
  * Fixes: NB#155972 Email hangs always when deleting the searched text in the headers view
  * Fixes: NB#156458 Email applet should be launch, when email account is minimized for some dialog
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 10 Feb 2010 20:22:07 +0200

modest (3.2.12-5) unstable; urgency=low

  * Week 06, 2010 - fourth release candidate
  * 
  * Fixes: NB#149525 [PATCH] Global Address book look-up for MfE
  * Fixes: NB#155455 The accounts list should show with different color those accounts that 
  * 	contain unread emails

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 10 Feb 2010 16:02:25 +0200

modest (3.2.12-4) unstable; urgency=low

  * Week 06, 2010 - third release candidate
  * 
  * Fixes: NB#155972 Email hangs always when deleting the searched text in the headers view
  * New calendar method added - modest_ui_actions_reply_calendar_with_subject
 
 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 09 Feb 2010 10:21:35 +0200

modest (3.2.12-3) unstable; urgency=low

  *  Week 06, 2010 - second release candidate
  * 
  * Fixes: NB#153716 UI to use live search in all of the list views
  * Fixes: NB#155849 Perform search only after user has finished writing/deleting
  * Fixes: NB#155862 Modest is hanged when Inbox view is still refreshing and start live search for messages

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 05 Feb 2010 18:19:52 +0200

modest (3.2.12-2) unstable; urgency=low

  * Week 06, 2010 - first release candidate
  * 
  * More calendar and home applet support 
  * 
  * Now GetUnreadMessages reports the whole number of unread messages.
  * Add method for sending a message directly from calendar request
  * Emit msg read signal on deleting messages
  * Emit account removed/created on set_enabled call.

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 05 Feb 2010 11:26:46 +0200

modest (3.2.12-1) unstable; urgency=low

  * Week 05, 2010 - second release candidate
  *
  * Fixes: NB#155231 Attachments and Inline images are lost upon sending a message from 
  * 	Gmail to other accounts.
  * Fixes: NB#155238 New message format is changed to plain text when a message is saved 
  * 	with Inline image/attachment
  * Fixes: NB#155310 A copy of message body content is added as embedded attachment when 
  * 	replied to a message with attachment

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 03 Feb 2010 11:10:01 +0200

modest (3.2.12) unstable; urgency=low

  * Week 05, 2010 - first release candidate
  * 
  * Fixes: NB#153085 Send message button is missing in the editor view
  * 
  * Calendar invitation support related fixes.
  * 

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 29 Jan 2010 17:15:09 +0200

modest (3.2.11-1) unstable; urgency=low
  
  * Week 04, 2010 - second release candidate
  * 
  * Fixes: NB#134053 Inline image lost in a message sent from Thunderbird  	
  * Fixes: NB#147992 Search message lists in Email 	
  * Fixes: NB#153926 Editor view toolbar: Icon for attaching inline images command is missing
  * Fixes: NB#154396 Top margin missing from "New message" email view (easy fix)
  * Fixes: NB#154519 Viewer view toolbar is missing after disabling 'Show formatting toolbar' option 

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 27 Jan 2010 14:50:39 +0200

modest (3.2.11) unstable; urgency=low

  * Week 04, 2010 - first release candidate
  *  
  * Fixes: NB#146213 Progress indicator not displayed while saving attachments.
  * Fixes: NB#152559 Message settings dialog: check box "Show formatting toolbar" is missing
  * Fixes: NB#153931 Inserting the SIM, Email application closes due to internal error and 
  * 	email client is not usable 

 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 25 Jan 2010 11:44:01 +0200

modest (3.2.10-1) unstable; urgency=low

  * Week 03, 2010 - second release candidate
  * 
  * Fixes: NB#134194 Viewer view:" Volume x%" info banner is shown when attempt to zoom.
  * Fixes: NB#140276 The notification of new email is visible even after the email has been read in inbox
  * Fixes: NB#142363 non-localized reply and forward prefixes
  * Fixes: NB#144441 "Unable to zoom" shown in E-Mail Inbox when Media Player active
  * Fixes: NB#150401 Usage of HW zoom keys should be revised in Email
  * Fixes: NB#152716 Application UI is getting hang for 10-20 seconds when device is trying 
  * 	to Connect to Nokia servers to check service availability. 


## modest 3.4.8+0m5

=== debian/changelog ===
modest (3.4.8+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 3.4.8+0m5

 -- Piyush Laddha <ext-piyush.laddha@nokia.com>  Mon, 02 Aug 2010 15:44:39 +0300

modest (3.4.8) unstable; urgency=low

  * Fixes: NB#180745 Fixed crash in modest-home-applet

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 29 Jul 2010 16:00:00 +0400

modest (3.4.7) unstable; urgency=low

  * Fixes: NB#176622 Email Attachment not visible if multipart/alternative mime types present

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 14 Jul 2010 09:45:00 +0400

modest (3.4.6) unstable; urgency=low

  * Fixes: NB#177902 Email id is not getting updated in Email field in contacts if "automatically add to contacts" field is checked in email settings

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 07 Jul 2010 12:40:00 +0400

modest (3.4.5) unstable; urgency=low

  * Fixes: NB#145380 Default region in Account details wizard is selected wrongly
  * Fixes: NB#171352 Manual send & receive doesn't always retrieve emails

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 30 Jun 2010 16:30:00 +0400

modest (3.4.4) unstable; urgency=low

  * Preliminary fix for the bug #171352. POP3 account
  *     should disconnect before another sync is started

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 29 Jun 2010 11:00:00 +0400

modest (3.4.3) unstable; urgency=low

  * Fixes: NB#171342 Selection of text is impossible once the email is scrolled

 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 28 Jun 2010 13:00:00 +0400

modest (3.4.2) unstable; urgency=low

  * Fixes: NB#154483 Using comma as email recipient separator does not work
  * Fixes: NB#147186 Some email recipients disappear when pilots tester makes reply-all in mail
  * Fixes: NB#171888 POP3 emails deleted from server though "Leave messages on server" checked (PR1.2 regression)
  * Fixes: NB#155958 Latest received messages have different time stamps in home applet and in the Inbox headers views

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 18 Jun 2010 15:00:00 +0400

modest (3.4.1) unstable; urgency=low

  * Fixes: NB#155978 Unread messages count is not updated for Nokia messaging in email home applet
  * Fixes: NB#163574 memory leak and unused call result in has_pending_addresses
  * Fixes: NB#162742 memory leak in modest-text-utils.c:modest_text_utils_get_addresses_indexes
  * Fixes: NB#157397 Unread count in email home applet is displayed wrongly for MFE account

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 11 Jun 2010 11:50:00 +0400

modest (3.4.0) unstable; urgency=low

  * Fixes: NB#159563 IMAP4 email account automatic sync interval update not working
  * Fixes: NB#120969 Signature separator misses trailing space (RFC 3676 violation)
  * Fixes: NB#162686 modest recompilation with G_DISABLE_CAST_CHECKS
  * Fixes: NB#160635 MfE inbox not refreshed after sync
  * Fixes: NB#161187 MfE: opening a folder/message from the list view is painfully slow
  * Created branch for 3.4 release series

 -- Moises Martinez <moises.martinez@nokia.com>  Fri, 28 May 2010 12:30:00 +0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: mail
 Priority: optional
 Maintainer: Moises Martinez <moises.martinez@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), cdbs, libmodest-dbus-client-dev, gnome-common, gtkhtml3.14-dev, libconic0-dev, libhildon1-dev, libdbus-1-dev,
+Build-Depends: debhelper (>= 4.0.0), cdbs, libmodest-dbus-client-dev (>= 3.2.4), gnome-common, gtkhtml3.14-dev, libconic0-dev, libhildon1-dev, libdbus-1-dev,
  libdbus-glib-1-dev, libebook-dev, osso-af-settings, libedataserver-dev, libhildonnotify-dev, libgconf2-dev,
- libglib2.0-dev, libosso-abook-dev, libosso-gnomevfs2-dev, libhildonmime-dev, libprofile-dev, libtime-dev, libtinymail-1.0-0-dev, libtinymail-camel-1.0-0-dev,
- libtinymail-maemo-1.0-0-dev, libtinymailui-1.0-0-dev, libtinymail-gnomevfs-1.0-0-dev, libtinymailui-gtk-1.0-0-dev, wpeditor0,
+ libglib2.0-dev, libosso-abook-dev, libosso-gnomevfs2-dev, libhildonmime-dev, libprofile-dev, libtime-dev, libtinymail-1.0-0-dev(>= 1.1.19), libtinymail-camel-1.0-0-dev(>= 1.1.19),
+ libtinymail-maemo-1.0-0-dev(>= 1.1.19), libtinymailui-1.0-0-dev(>= 1.1.19), libtinymail-gnomevfs-1.0-0-dev(>= 1.1.19), libtinymailui-gtk-1.0-0-dev(>= 1.1.19), wpeditor0,
  wpeditor-dev, modest-providers-data, libalarm-dev, gtk-doc-tools, libnotify-dev, libhildonfm2-dev,
  microb-engine-dev, mce-dev, maemo-launcher-dev, profile-data-dev, libiphb-dev, calendar-ui-widgets-0-dev
 Standards-Version: 3.8.0

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,9 @@
 	rm -f build-stamp 
 
 # commands to clean up after the build process.
-	-$(MAKE) distclean
+#	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
+
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
@@ -109,7 +111,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip --keep-debug --dbg-package=modest --dbg-package=libmodest-dbus-client
+	dh_strip --keep-debug --dbg-package=modest
 	dh_compress
 	dh_fixperms
 #	dh_perl
@@ -120,7 +122,7 @@
 	# Not a requirement by now, so don't fail if it's not installed
 	which dh_maemolauncher && dh_maemolauncher usr/bin/modest || true
 	dh_gencontrol
-	sh debian/scripts/renew_control_file.sh
+#	sh debian/scripts/renew_control_file.sh
 	dh_md5sums
 	dh_builddeb
